Name:           perl-Catalyst-Helper-AuthDBIC
Version:        0.10
Release:        1%{?dist}
Summary:        Catalyst::Helper::AuthDBIC Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Helper-AuthDBIC/
Source0:        http://www.cpan.org/authors/id/Z/ZA/ZARQUON/Catalyst-Helper-AuthDBIC-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Catalyst::Authentication::Credential::HTTP)
BuildRequires:  perl(Catalyst::Authentication::Store::DBIx::Class)
BuildRequires:  perl(Catalyst::Plugin::Authentication)
BuildRequires:  perl(Catalyst::Plugin::Authorization::Roles)
BuildRequires:  perl(Catalyst::Plugin::Session)
BuildRequires:  perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires:  perl(Catalyst::Plugin::Session::Store::FastMmap)
BuildRequires:  perl(Catalyst::Runtime)
BuildRequires:  perl(DBIx::Class::EncodedColumn)
BuildRequires:  perl(DBIx::Class::Schema::Loader)
BuildRequires:  perl(Directory::Scratch)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ok)
BuildRequires:  perl(PPI)
BuildRequires:  perl(Test::Command)
BuildRequires:  perl(Test::More)
Requires:       perl(Catalyst::Authentication::Credential::HTTP)
Requires:       perl(Catalyst::Authentication::Store::DBIx::Class)
Requires:       perl(Catalyst::Plugin::Authentication)
Requires:       perl(Catalyst::Plugin::Authorization::Roles)
Requires:       perl(Catalyst::Plugin::Session)
Requires:       perl(Catalyst::Plugin::Session::State::Cookie)
Requires:       perl(Catalyst::Plugin::Session::Store::FastMmap)
Requires:       perl(DBIx::Class::EncodedColumn)
Requires:       perl(DBIx::Class::Schema::Loader)
Requires:       perl(PPI)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Helper to provide a simple authentication scaffold for a Catalyst
application.  Run the script authdbic.pl in your application's root
directory to create a simple database based authentication system.

%prep
%setup -q -n Catalyst-Helper-AuthDBIC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Sep 13 2009 Dave Cross <dave@mag-sol.com> 0.10-1
- Specfile autogenerated by cpanspec 1.78.
